Bug 848127 - get-requires glibc says something about removing yum..
get-requires glibc says something about removing yum..
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
x86_64 Linux
unspecified Severity medium
: beta
: 7.0
Assigned To: Richard Hughes
Desktop QE
: Reopened
Depends On:
Blocks: 848128
  Show dependency treegraph
 
Reported: 2012-08-14 13:36 EDT by Vladimir Benes
Modified: 2014-06-13 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: PackageKit-0.8.9-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848128 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:17:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-14 13:36:54 EDT
Description of problem:
when I tried to get requires for glibc I got strange error that I am trying to remove yum. This is a bit weird as I did get-requires operation and not remove.. Is it checking requires via yum remove or so? this is a bit silly, isn't it? ;-)

pkcon get-requires glibc
More than one package matches:
1. glibc-2.15-47.el7.x86_64 [installed:alpha2]
2. glibc-2.15-47.el7.i686 [alpha2]
Please choose the correct package: 1
Getting requires              [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Getting information           [=========================]         
Resolving dependencies        [=                        ] (5%)  echo $?
                              [=========================]         
Fatal error: Trying to remove "yum", which is protected


Version-Release number of selected component (if applicable):
PackageKit-0.7.4-5.el7.x86_64

How reproducible:


Steps to Reproduce:
1.execute pkcon get-requires glibc

Actual results:
trying to remove yum which is rpotected error

Expected results:
no errror and correct requires shown

Additional info:
Comment 2 Richard Hughes 2013-05-07 15:43:58 EDT
commit 14a554cbdd1eb20766b84c5e83bdf26ab55e3c43
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue May 7 20:43:25 2013 +0100

    yum: Ignore errors when removing packages to work out the requires list
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=848127
Comment 3 smatula 2013-11-20 11:55:23 EST
Fix Verified with Build RHEL-7.0-20131115.2 x86_64 PackageKit-0.8.9-8.el7
Testcase added to TCMS.

https://tcms.engineering.redhat.com/case/169626/?from_plan=6307

pkcon get-requires glibc does not error and produces correct results.
pkcon get requires for other packages working as expected.
Comment 4 Ludek Smid 2014-06-13 05:17:54 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.